> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reap.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Create company

> Creates a new company with the provided name. Only available in `CORPORATE` program mode.



## OpenAPI

````yaml /api-reference/openapi.json post /companies/
openapi: 3.1.0
info:
  title: Reap API
  version: 1.0.0
  description: Reap platform API
servers:
  - url: https://sandbox.api.reap.global
    description: Sandbox
  - url: https://prod.api.reap.global
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Activities
  - name: Card Designs
  - name: Card Shipments
  - name: Card Transactions
  - name: Cards
  - name: Companies
  - name: Crypto Deposits
  - name: Policies
  - name: Simulation
  - name: Users
  - name: Virtual Asset Postings
  - name: Virtual Assets
  - name: Webhooks
paths:
  /companies/:
    post:
      tags:
        - Companies
      summary: Create company
      description: >-
        Creates a new company with the provided name. Only available in
        `CORPORATE` program mode.
      operationId: create_companies
      parameters:
        - name: Reap-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2025-02-14'
            description: API version (YYYY-MM-DD)
            example: '2025-02-14'
        - name: Idempotency-Key
          in: header
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 255
            description: >-
              Unique key for safely retrying this request. Up to 255 characters;
              we recommend a UUIDv4. The first request executes and its response
              is cached; subsequent requests with the same key replay the cached
              response (24h retention).
      requestBody:
        description: Request body for creating a new company
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                  examples:
                    - Acme Corporation
                  description: Legal company name (1-255 characters)
              required:
                - name
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                  examples:
                    - Acme Corporation
                  description: Legal company name (1-255 characters)
              required:
                - name
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                  examples:
                    - Acme Corporation
                  description: Legal company name (1-255 characters)
              required:
                - name
      responses:
        '200':
          description: Company resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Company'
        '400':
          description: Company operations are only available in Corporate program mode
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        const: CORPORATE_MODE_REQUIRED
                      message:
                        type: string
                      detail:
                        anyOf:
                          - type: object
                            additionalProperties: {}
                          - type: 'null'
                    required:
                      - code
                      - message
                      - detail
                required:
                  - error
                title: CorporateModeRequiredError
components:
  schemas:
    Company:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique company identifier
        name:
          type: string
          examples:
            - Acme Corporation
            - TechStart Inc.
          description: Legal company name
        registrationNumber:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - '12345678'
            - HRB 123456
          description: Business registration number (populated from KYB)
        country:
          anyOf:
            - type: string
              minLength: 2
              maxLength: 2
              examples:
                - US
                - GB
                - DE
              description: ISO 3166-1 alpha-2 country code
            - type: 'null'
        status:
          type: string
          enum:
            - CREATED
            - PENDING
            - IN_REVIEW
            - ACTIVE
            - REJECTED
            - RESTRICTED
          description: Company compliance status
          example: CREATED
        createdAt:
          type: string
          examples:
            - '2024-01-15T10:30:00Z'
          description: ISO 8601 timestamp of creation
        updatedAt:
          type: string
          examples:
            - '2024-01-15T10:35:00Z'
          description: ISO 8601 timestamp of last update
      required:
        - id
        - name
        - registrationNumber
        - country
        - status
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````